<!DOCTYPE html><html lang="en"><head><meta charset="utf-8"><meta name="viewport" content="width=device-width, initial-scale=1.0"><meta name="generator" content="rustdoc"><meta name="description" content="Source of the Rust file `/nix/store/kaan79bbbx80h17lcc5ay919l5r6bqlz-vendored-sources/miniz_oxide-0.5.3/src/lib.rs`."><meta name="keywords" content="rust, rustlang, rust-lang"><title>lib.rs - source</title><link rel="preload" as="font" type="font/woff2" crossorigin href="../../SourceSerif4-Regular.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../FiraSans-Regular.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../FiraSans-Medium.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../SourceCodePro-Regular.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../SourceSerif4-Bold.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../SourceCodePro-Semibold.ttf.woff2"><link rel="stylesheet" type="text/css" href="../../normalize.css"><link rel="stylesheet" type="text/css" href="../../rustdoc.css" id="mainThemeStyle"><link rel="stylesheet" type="text/css" href="../../ayu.css" disabled><link rel="stylesheet" type="text/css" href="../../dark.css" disabled><link rel="stylesheet" type="text/css" href="../../light.css" id="themeStyle"><script id="default-settings" ></script><script src="../../storage.js"></script><script defer src="../../source-script.js"></script><script defer src="../../source-files.js"></script><script defer src="../../main.js"></script><noscript><link rel="stylesheet" href="../../noscript.css"></noscript><link rel="alternate icon" type="image/png" href="../../favicon-16x16.png"><link rel="alternate icon" type="image/png" href="../../favicon-32x32.png"><link rel="icon" type="image/svg+xml" href="../../favicon.svg"></head><body class="rustdoc source"><!--[if lte IE 11]><div class="warning">This old browser is unsupported and will most likely display funky things.</div><![endif]--><nav class="mobile-topbar"><button class="sidebar-menu-toggle">&#9776;</button><a class="sidebar-logo" href="../../miniz_oxide/index.html"><div class="logo-container"><img class="rust-logo" src="../../rust-logo.svg" alt="logo"></div>
        </a><h2 class="location"></h2>
    </nav>
    <nav class="sidebar"><a class="sidebar-logo" href="../../miniz_oxide/index.html"><div class="logo-container"><img class="rust-logo" src="../../rust-logo.svg" alt="logo"></div>
        </a></nav><main><div class="width-limiter"><div class="sub-container"><a class="sub-logo-container" href="../../miniz_oxide/index.html"><img class="rust-logo" src="../../rust-logo.svg" alt="logo"></a><nav class="sub"><form class="search-form"><div class="search-container"><span></span><input class="search-input" name="search" autocomplete="off" spellcheck="false" placeholder="Click or press ‘S’ to search, ‘?’ for more options…" type="search"><div id="help-button" title="help" tabindex="-1"><button type="button">?</button></div><div id="settings-menu" tabindex="-1">
                                <a href="../../settings.html" title="settings"><img width="22" height="22" alt="Change settings" src="../../wheel.svg"></a></div>
                        </div></form></nav></div><section id="main-content" class="content"><div class="example-wrap"><pre class="line-numbers"><span id="1">1</span>
<span id="2">2</span>
<span id="3">3</span>
<span id="4">4</span>
<span id="5">5</span>
<span id="6">6</span>
<span id="7">7</span>
<span id="8">8</span>
<span id="9">9</span>
<span id="10">10</span>
<span id="11">11</span>
<span id="12">12</span>
<span id="13">13</span>
<span id="14">14</span>
<span id="15">15</span>
<span id="16">16</span>
<span id="17">17</span>
<span id="18">18</span>
<span id="19">19</span>
<span id="20">20</span>
<span id="21">21</span>
<span id="22">22</span>
<span id="23">23</span>
<span id="24">24</span>
<span id="25">25</span>
<span id="26">26</span>
<span id="27">27</span>
<span id="28">28</span>
<span id="29">29</span>
<span id="30">30</span>
<span id="31">31</span>
<span id="32">32</span>
<span id="33">33</span>
<span id="34">34</span>
<span id="35">35</span>
<span id="36">36</span>
<span id="37">37</span>
<span id="38">38</span>
<span id="39">39</span>
<span id="40">40</span>
<span id="41">41</span>
<span id="42">42</span>
<span id="43">43</span>
<span id="44">44</span>
<span id="45">45</span>
<span id="46">46</span>
<span id="47">47</span>
<span id="48">48</span>
<span id="49">49</span>
<span id="50">50</span>
<span id="51">51</span>
<span id="52">52</span>
<span id="53">53</span>
<span id="54">54</span>
<span id="55">55</span>
<span id="56">56</span>
<span id="57">57</span>
<span id="58">58</span>
<span id="59">59</span>
<span id="60">60</span>
<span id="61">61</span>
<span id="62">62</span>
<span id="63">63</span>
<span id="64">64</span>
<span id="65">65</span>
<span id="66">66</span>
<span id="67">67</span>
<span id="68">68</span>
<span id="69">69</span>
<span id="70">70</span>
<span id="71">71</span>
<span id="72">72</span>
<span id="73">73</span>
<span id="74">74</span>
<span id="75">75</span>
<span id="76">76</span>
<span id="77">77</span>
<span id="78">78</span>
<span id="79">79</span>
<span id="80">80</span>
<span id="81">81</span>
<span id="82">82</span>
<span id="83">83</span>
<span id="84">84</span>
<span id="85">85</span>
<span id="86">86</span>
<span id="87">87</span>
<span id="88">88</span>
<span id="89">89</span>
<span id="90">90</span>
<span id="91">91</span>
<span id="92">92</span>
<span id="93">93</span>
<span id="94">94</span>
<span id="95">95</span>
<span id="96">96</span>
<span id="97">97</span>
<span id="98">98</span>
<span id="99">99</span>
<span id="100">100</span>
<span id="101">101</span>
<span id="102">102</span>
<span id="103">103</span>
<span id="104">104</span>
<span id="105">105</span>
<span id="106">106</span>
<span id="107">107</span>
<span id="108">108</span>
<span id="109">109</span>
<span id="110">110</span>
<span id="111">111</span>
<span id="112">112</span>
<span id="113">113</span>
<span id="114">114</span>
<span id="115">115</span>
<span id="116">116</span>
<span id="117">117</span>
<span id="118">118</span>
<span id="119">119</span>
<span id="120">120</span>
<span id="121">121</span>
<span id="122">122</span>
<span id="123">123</span>
<span id="124">124</span>
<span id="125">125</span>
<span id="126">126</span>
<span id="127">127</span>
<span id="128">128</span>
<span id="129">129</span>
<span id="130">130</span>
<span id="131">131</span>
<span id="132">132</span>
<span id="133">133</span>
<span id="134">134</span>
<span id="135">135</span>
<span id="136">136</span>
<span id="137">137</span>
<span id="138">138</span>
<span id="139">139</span>
<span id="140">140</span>
<span id="141">141</span>
<span id="142">142</span>
<span id="143">143</span>
<span id="144">144</span>
<span id="145">145</span>
<span id="146">146</span>
<span id="147">147</span>
<span id="148">148</span>
<span id="149">149</span>
<span id="150">150</span>
<span id="151">151</span>
<span id="152">152</span>
<span id="153">153</span>
<span id="154">154</span>
<span id="155">155</span>
<span id="156">156</span>
<span id="157">157</span>
<span id="158">158</span>
<span id="159">159</span>
<span id="160">160</span>
<span id="161">161</span>
<span id="162">162</span>
<span id="163">163</span>
<span id="164">164</span>
<span id="165">165</span>
<span id="166">166</span>
<span id="167">167</span>
<span id="168">168</span>
<span id="169">169</span>
<span id="170">170</span>
<span id="171">171</span>
<span id="172">172</span>
<span id="173">173</span>
<span id="174">174</span>
<span id="175">175</span>
<span id="176">176</span>
<span id="177">177</span>
<span id="178">178</span>
<span id="179">179</span>
<span id="180">180</span>
<span id="181">181</span>
<span id="182">182</span>
<span id="183">183</span>
<span id="184">184</span>
<span id="185">185</span>
<span id="186">186</span>
<span id="187">187</span>
<span id="188">188</span>
<span id="189">189</span>
<span id="190">190</span>
<span id="191">191</span>
<span id="192">192</span>
<span id="193">193</span>
<span id="194">194</span>
<span id="195">195</span>
<span id="196">196</span>
<span id="197">197</span>
<span id="198">198</span>
<span id="199">199</span>
<span id="200">200</span>
<span id="201">201</span>
<span id="202">202</span>
<span id="203">203</span>
<span id="204">204</span>
<span id="205">205</span>
<span id="206">206</span>
<span id="207">207</span>
<span id="208">208</span>
</pre><pre class="rust"><code><span class="doccomment">//! A pure rust replacement for the [miniz](https://github.com/richgel999/miniz)</span>
<span class="doccomment">//! DEFLATE/zlib encoder/decoder.</span>
<span class="doccomment">//! The plan for this crate is to be used as a back-end for the</span>
<span class="doccomment">//! [flate2](https://github.com/alexcrichton/flate2-rs) crate and eventually remove the</span>
<span class="doccomment">//! need to depend on a C library.</span>
<span class="doccomment">//!</span>
<span class="doccomment">//! # Usage</span>
<span class="doccomment">//! ## Simple compression/decompression:</span>
<span class="doccomment">//! ``` rust</span>
<span class="doccomment">//!</span>
<span class="doccomment">//! use miniz_oxide::inflate::decompress_to_vec;</span>
<span class="doccomment">//! use miniz_oxide::deflate::compress_to_vec;</span>
<span class="doccomment">//!</span>
<span class="doccomment">//! fn roundtrip(data: &amp;[u8]) {</span>
<span class="doccomment">//!     let compressed = compress_to_vec(data, 6);</span>
<span class="doccomment">//!     let decompressed = decompress_to_vec(compressed.as_slice()).expect(&quot;Failed to decompress!&quot;);</span>
<span class="doccomment">//! #   let _ = decompressed;</span>
<span class="doccomment">//! }</span>
<span class="doccomment">//!</span>
<span class="doccomment">//! # roundtrip(b&quot;Test_data test data lalalal blabla&quot;);</span>
<span class="doccomment">//!</span>
<span class="doccomment">//! ```</span>

<span class="attribute">#![<span class="ident">forbid</span>(<span class="ident">unsafe_code</span>)]</span>
<span class="attribute">#![<span class="ident">no_std</span>]</span>

<span class="kw">extern</span> <span class="kw">crate</span> <span class="ident">alloc</span>;

<span class="kw">pub</span> <span class="kw">mod</span> <span class="ident">deflate</span>;
<span class="kw">pub</span> <span class="kw">mod</span> <span class="ident">inflate</span>;
<span class="kw">mod</span> <span class="ident">shared</span>;

<span class="kw">pub</span> <span class="kw">use</span> <span class="ident"><span class="kw">crate</span>::shared::update_adler32</span> <span class="kw">as</span> <span class="ident">mz_adler32_oxide</span>;
<span class="kw">pub</span> <span class="kw">use</span> <span class="ident"><span class="kw">crate</span>::shared</span>::{<span class="ident">MZ_ADLER32_INIT</span>, <span class="ident">MZ_DEFAULT_WINDOW_BITS</span>};

<span class="doccomment">/// A list of flush types.</span>
<span class="doccomment">///</span>
<span class="doccomment">/// See &lt;http://www.bolet.org/~pornin/deflate-flush.html&gt; for more in-depth info.</span>
<span class="attribute">#[<span class="ident">repr</span>(<span class="ident">i32</span>)]</span>
<span class="attribute">#[<span class="ident">derive</span>(<span class="ident">Debug</span>, <span class="ident">Copy</span>, <span class="ident">Clone</span>, <span class="ident">PartialEq</span>, <span class="ident">Eq</span>, <span class="ident">Hash</span>)]</span>
<span class="kw">pub</span> <span class="kw">enum</span> <span class="ident">MZFlush</span> {
    <span class="doccomment">/// Don&#39;t force any flushing.</span>
    <span class="doccomment">/// Used when more input data is expected.</span>
    <span class="prelude-val">None</span> <span class="op">=</span> <span class="number">0</span>,
    <span class="doccomment">/// Zlib partial flush.</span>
    <span class="doccomment">/// Currently treated as [`Sync`].</span>
    <span class="ident">Partial</span> <span class="op">=</span> <span class="number">1</span>,
    <span class="doccomment">/// Finish compressing the currently buffered data, and output an empty raw block.</span>
    <span class="doccomment">/// Has no use in decompression.</span>
    <span class="ident">Sync</span> <span class="op">=</span> <span class="number">2</span>,
    <span class="doccomment">/// Same as [`Sync`], but resets the compression dictionary so that further compressed</span>
    <span class="doccomment">/// data does not depend on data compressed before the flush.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// Has no use in decompression, and is an error to supply in that case.</span>
    <span class="ident">Full</span> <span class="op">=</span> <span class="number">3</span>,
    <span class="doccomment">/// Attempt to flush the remaining data and end the stream.</span>
    <span class="ident">Finish</span> <span class="op">=</span> <span class="number">4</span>,
    <span class="doccomment">/// Not implemented.</span>
    <span class="ident">Block</span> <span class="op">=</span> <span class="number">5</span>,
}

<span class="kw">impl</span> <span class="ident">MZFlush</span> {
    <span class="doccomment">/// Create an MZFlush value from an integer value.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// Returns `MZError::Param` on invalid values.</span>
    <span class="kw">pub</span> <span class="kw">fn</span> <span class="ident">new</span>(<span class="ident">flush</span>: <span class="ident">i32</span>) -&gt; <span class="prelude-ty">Result</span><span class="op">&lt;</span><span class="self">Self</span>, <span class="ident">MZError</span><span class="op">&gt;</span> {
        <span class="kw">match</span> <span class="ident">flush</span> {
            <span class="number">0</span> =&gt; <span class="prelude-val">Ok</span>(<span class="ident">MZFlush::None</span>),
            <span class="number">1</span> <span class="op">|</span> <span class="number">2</span> =&gt; <span class="prelude-val">Ok</span>(<span class="ident">MZFlush::Sync</span>),
            <span class="number">3</span> =&gt; <span class="prelude-val">Ok</span>(<span class="ident">MZFlush::Full</span>),
            <span class="number">4</span> =&gt; <span class="prelude-val">Ok</span>(<span class="ident">MZFlush::Finish</span>),
            <span class="kw">_</span> =&gt; <span class="prelude-val">Err</span>(<span class="ident">MZError::Param</span>),
        }
    }
}

<span class="doccomment">/// A list of miniz successful status codes.</span>
<span class="doccomment">///</span>
<span class="doccomment">/// These are emitted as the [`Ok`] side of a [`MZResult`] in the [`StreamResult`] returned from</span>
<span class="doccomment">/// [`deflate::stream::deflate()`] or [`inflate::stream::inflate()`].</span>
<span class="attribute">#[<span class="ident">repr</span>(<span class="ident">i32</span>)]</span>
<span class="attribute">#[<span class="ident">derive</span>(<span class="ident">Debug</span>, <span class="ident">Copy</span>, <span class="ident">Clone</span>, <span class="ident">PartialEq</span>, <span class="ident">Eq</span>, <span class="ident">Hash</span>)]</span>
<span class="kw">pub</span> <span class="kw">enum</span> <span class="ident">MZStatus</span> {
    <span class="doccomment">/// Operation succeeded.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// Some data was decompressed or compressed; see the byte counters in the [`StreamResult`] for</span>
    <span class="doccomment">/// details.</span>
    <span class="prelude-val">Ok</span> <span class="op">=</span> <span class="number">0</span>,

    <span class="doccomment">/// Operation succeeded and end of deflate stream was found.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// X-ref [`TINFLStatus::Done`][inflate::TINFLStatus::Done] or</span>
    <span class="doccomment">/// [`TDEFLStatus::Done`][deflate::core::TDEFLStatus::Done] for `inflate` or `deflate`</span>
    <span class="doccomment">/// respectively.</span>
    <span class="ident">StreamEnd</span> <span class="op">=</span> <span class="number">1</span>,

    <span class="doccomment">/// Unused</span>
    <span class="ident">NeedDict</span> <span class="op">=</span> <span class="number">2</span>,
}

<span class="doccomment">/// A list of miniz failed status codes.</span>
<span class="doccomment">///</span>
<span class="doccomment">/// These are emitted as the [`Err`] side of a [`MZResult`] in the [`StreamResult`] returned from</span>
<span class="doccomment">/// [`deflate::stream::deflate()`] or [`inflate::stream::inflate()`].</span>
<span class="attribute">#[<span class="ident">repr</span>(<span class="ident">i32</span>)]</span>
<span class="attribute">#[<span class="ident">derive</span>(<span class="ident">Debug</span>, <span class="ident">Copy</span>, <span class="ident">Clone</span>, <span class="ident">PartialEq</span>, <span class="ident">Eq</span>, <span class="ident">Hash</span>)]</span>
<span class="kw">pub</span> <span class="kw">enum</span> <span class="ident">MZError</span> {
    <span class="doccomment">/// Unused</span>
    <span class="ident">ErrNo</span> <span class="op">=</span> <span class="op">-</span><span class="number">1</span>,

    <span class="doccomment">/// General stream error.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// See [`inflate::stream::inflate()`] docs for details of how it can occur there.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// See [`deflate::stream::deflate()`] docs for how it can in principle occur there, though it&#39;s</span>
    <span class="doccomment">/// believed impossible in practice.</span>
    <span class="ident">Stream</span> <span class="op">=</span> <span class="op">-</span><span class="number">2</span>,

    <span class="doccomment">/// Error in inflation; see [`inflate::stream::inflate()`] for details.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// Not returned from [`deflate::stream::deflate()`].</span>
    <span class="ident">Data</span> <span class="op">=</span> <span class="op">-</span><span class="number">3</span>,

    <span class="doccomment">/// Unused</span>
    <span class="ident">Mem</span> <span class="op">=</span> <span class="op">-</span><span class="number">4</span>,

    <span class="doccomment">/// Buffer-related error.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// See the docs of [`deflate::stream::deflate()`] or [`inflate::stream::inflate()`] for details</span>
    <span class="doccomment">/// of when it would trigger in the one you&#39;re using.</span>
    <span class="ident">Buf</span> <span class="op">=</span> <span class="op">-</span><span class="number">5</span>,

    <span class="doccomment">/// Unused</span>
    <span class="ident">Version</span> <span class="op">=</span> <span class="op">-</span><span class="number">6</span>,

    <span class="doccomment">/// Bad parameters.</span>
    <span class="doccomment">///</span>
    <span class="doccomment">/// This can be returned from [`deflate::stream::deflate()`] in the case of bad parameters.  See</span>
    <span class="doccomment">/// [`TDEFLStatus::BadParam`][deflate::core::TDEFLStatus::BadParam].</span>
    <span class="ident">Param</span> <span class="op">=</span> <span class="op">-</span><span class="number">10_000</span>,
}

<span class="doccomment">/// How compressed data is wrapped.</span>
<span class="attribute">#[<span class="ident">derive</span>(<span class="ident">Debug</span>, <span class="ident">Copy</span>, <span class="ident">Clone</span>, <span class="ident">PartialEq</span>, <span class="ident">Eq</span>, <span class="ident">Hash</span>)]</span>
<span class="attribute">#[<span class="ident">non_exhaustive</span>]</span>
<span class="kw">pub</span> <span class="kw">enum</span> <span class="ident">DataFormat</span> {
    <span class="doccomment">/// Wrapped using the [zlib](http://www.zlib.org/rfc-zlib.html) format.</span>
    <span class="ident">Zlib</span>,
    <span class="doccomment">/// Zlib wrapped but ignore and don&#39;t compute the adler32 checksum.</span>
    <span class="doccomment">/// Currently only used for inflate, behaves the same as Zlib for compression.</span>
    <span class="ident">ZLibIgnoreChecksum</span>,
    <span class="doccomment">/// Raw DEFLATE.</span>
    <span class="ident">Raw</span>,
}

<span class="kw">impl</span> <span class="ident">DataFormat</span> {
    <span class="kw">pub</span>(<span class="kw">crate</span>) <span class="kw">fn</span> <span class="ident">from_window_bits</span>(<span class="ident">window_bits</span>: <span class="ident">i32</span>) -&gt; <span class="ident">DataFormat</span> {
        <span class="kw">if</span> <span class="ident">window_bits</span> <span class="op">&gt;</span> <span class="number">0</span> {
            <span class="ident">DataFormat::Zlib</span>
        } <span class="kw">else</span> {
            <span class="ident">DataFormat::Raw</span>
        }
    }

    <span class="kw">pub</span>(<span class="kw">crate</span>) <span class="kw">fn</span> <span class="ident">to_window_bits</span>(<span class="self">self</span>) -&gt; <span class="ident">i32</span> {
        <span class="kw">match</span> <span class="self">self</span> {
            <span class="ident">DataFormat::Zlib</span> <span class="op">|</span> <span class="ident">DataFormat::ZLibIgnoreChecksum</span> =&gt; <span class="ident">shared::MZ_DEFAULT_WINDOW_BITS</span>,
            <span class="ident">DataFormat::Raw</span> =&gt; <span class="op">-</span><span class="ident">shared::MZ_DEFAULT_WINDOW_BITS</span>,
        }
    }
}

<span class="doccomment">/// `Result` alias for all miniz status codes both successful and failed.</span>
<span class="kw">pub</span> <span class="kw">type</span> <span class="ident">MZResult</span> <span class="op">=</span> <span class="prelude-ty">Result</span><span class="op">&lt;</span><span class="ident">MZStatus</span>, <span class="ident">MZError</span><span class="op">&gt;</span>;

<span class="doccomment">/// A structure containg the result of a call to the inflate or deflate streaming functions.</span>
<span class="attribute">#[<span class="ident">derive</span>(<span class="ident">Debug</span>, <span class="ident">Copy</span>, <span class="ident">Clone</span>, <span class="ident">PartialEq</span>, <span class="ident">Eq</span>, <span class="ident">Hash</span>)]</span>
<span class="kw">pub</span> <span class="kw">struct</span> <span class="ident">StreamResult</span> {
    <span class="doccomment">/// The number of bytes consumed from the input slice.</span>
    <span class="kw">pub</span> <span class="ident">bytes_consumed</span>: <span class="ident">usize</span>,
    <span class="doccomment">/// The number of bytes written to the output slice.</span>
    <span class="kw">pub</span> <span class="ident">bytes_written</span>: <span class="ident">usize</span>,
    <span class="doccomment">/// The return status of the call.</span>
    <span class="kw">pub</span> <span class="ident">status</span>: <span class="ident">MZResult</span>,
}

<span class="kw">impl</span> <span class="ident">StreamResult</span> {
    <span class="attribute">#[<span class="ident">inline</span>]</span>
    <span class="kw">pub</span>(<span class="kw">crate</span>) <span class="kw">const</span> <span class="kw">fn</span> <span class="ident">error</span>(<span class="ident">error</span>: <span class="ident">MZError</span>) -&gt; <span class="ident">StreamResult</span> {
        <span class="ident">StreamResult</span> {
            <span class="ident">bytes_consumed</span>: <span class="number">0</span>,
            <span class="ident">bytes_written</span>: <span class="number">0</span>,
            <span class="ident">status</span>: <span class="prelude-val">Err</span>(<span class="ident">error</span>),
        }
    }
}

<span class="kw">impl</span> <span class="ident">core::convert::From</span><span class="op">&lt;</span><span class="ident">StreamResult</span><span class="op">&gt;</span> <span class="kw">for</span> <span class="ident">MZResult</span> {
    <span class="kw">fn</span> <span class="ident">from</span>(<span class="ident">res</span>: <span class="ident">StreamResult</span>) -&gt; <span class="self">Self</span> {
        <span class="ident">res</span>.<span class="ident">status</span>
    }
}

<span class="kw">impl</span> <span class="ident">core::convert::From</span><span class="op">&lt;</span><span class="kw-2">&amp;</span><span class="ident">StreamResult</span><span class="op">&gt;</span> <span class="kw">for</span> <span class="ident">MZResult</span> {
    <span class="kw">fn</span> <span class="ident">from</span>(<span class="ident">res</span>: <span class="kw-2">&amp;</span><span class="ident">StreamResult</span>) -&gt; <span class="self">Self</span> {
        <span class="ident">res</span>.<span class="ident">status</span>
    }
}
</code></pre></div>
</section></div></main><div id="rustdoc-vars" data-root-path="../../" data-current-crate="miniz_oxide" data-themes="ayu,dark,light" data-resource-suffix="" data-rustdoc-version="1.64.0-dev" ></div>
</body></html>